WordPress.org

Ready to get started?Download WordPress

Plugin Directory

BNS Corner Logo

Widget to display a logo; or, used as a plugin displays image fixed in one of the four corners.

1.8.4

  • Released January 2014
  • Properly escape the alt image attribute
  • Update copyright year

1.8.3

  • Released December 2013
  • Code reformatting to better reflect WordPress Coding Standards (see https://gist.github.com/Cais/8023722)
  • Added functional option to place bns-corner-logo-custom-style.css in the /wp-content/ folder

1.8.2

  • Release May 2013
  • Version compatibility update
  • CSS optimization and formatting
  • Minor code formatting

1.8.1

  • Release - February 21, 2013
  • Minor documentation updates
  • Revert: Removed width: 100% from div.bns-logo a img

1.8

  • Release - February 2013
  • Address "smart-phone" screens being obfuscated by image
  • Documentation updates - including code block termination comments
  • Move all code into class structure
  • Removed width: 100% from div.bns-logo a img
  • Removed load_textdomain as redundant
  • Renamed BNS_Corner_Logo_Scripts_and_Styles to scripts_and_styles

1.7

  • Release - November 2012
  • Added bns-corner-logo-scripts.js
  • Added 'no-grav' class to HTML img tag with jQuery.addClass() to stop Hovercard effect if Gravatar is used
  • Added i18n support to position drop-down in widget control panel
  • Adjusted CSS of top positions if user is logged-in
  • Enqueued JavaScript 'bns-corner-logo-scripts.js'
  • Enqueued JavaScript 'bns-corner-logo-custom-scripts.css' if it exists

1.6.2

  • Use the plugin version data for the version number in wp_enqueue_style rather than hard-coding a number

1.6.1

  • confirmed compatible with WordPress 3.4
  • inline documentation updates and minor code formatting

1.6

  • released November 2011
  • confirmed compatible with WordPress 3.3
  • added phpDoc Style documentation
  • added i18n support
  • added conditional enqueue of bns-corner-logo-custom-style.css stylesheet
  • removed inline z-index reference; see bns-corner-logo stylesheet for value
  • moved inline style for corner positions to plugin stylesheet
  • refactored use_gravatar code to have option of choosing gravatar by user ID

1.5

  • released June 2011
  • confirmed compatible with WordPress version 3.2-beta2-18085
  • enqueue stylesheet
  • updated 'option' code to use selected()
  • cleaned up and re-sized the widget options display
  • updated the option panel screenshot to show the new size

1.4

  • released February 6, 2011
  • correct version requirement message
  • added option to open "URL to follow" in new page
  • moved common inline styles to plugin stylesheet

1.3.3

  • released December 12, 2010
  • Confirm compatible with WordPress 3.1 (beta)

1.3.2

  • cleaned up temporary fix code

1.3.1

  • temporary fix for non-gravatar images

1.3

  • compatible with WordPress version 3.0
  • changed Gravatar identifier to first administrator by user ID

1.2.3.2

  • compatible with WordPress version 2.9.2
  • updated license declaration

1.2.3.1

  • clarified the plugin is released under a GPLv2 license

1.2.3

  • compatibility check for 2.9.1 completed

1.2.2

  • addressed a few minor Gravatar display issues
  • stopped "ALT" text from displaying when using the Gravatar option
  • addressed image borders around the Gravatar image with CSS

1.2.1

  • corrected issue with plugin selection drop-down list, it now maintains the option chosen as the displayed value
  • updated installation instructions to reflect addition of Gravatar support

1.2

  • completed Gravatar implementation - displays Gravatar associated with user-ID 1 (main administrator)
  • added plugin specific style sheet (required by Gravatar implementation)
  • noted suggested maximum pixel size of Gravatar but no restrictions set
  • updated screenshot of option panel

1.1.1

  • compatibility check for WP2.9 completed
  • increased the width of the option panel
  • beginning of code to implement gravatars included (but not complete or visually apparent)

1.1

  • added version checking using $wp_version
  • improved readability of code

1.0.1

  • code clean up and error trapping
  • minor improvement in IE6 compatibility

1.0

  • Initial Release

Requires: 3.0 or higher
Compatible up to: 4.1.1
Last Updated: 2014-12-21
Active Installs: 3,000+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1 0,1,0
100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,2,2 100,1,1
100,1,1 100,2,2
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1